This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 672418 - (fpdns) Review Request: fpdns - Fingerprint DNS
Review Request: fpdns - Fingerprint DNS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Crawford
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2011-01-24 22:52 EST by Mark McKinstry
Modified: 2014-09-10 06:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: fpdns-0.9.3-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-22 13:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
frank: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mark McKinstry 2011-01-24 22:52:04 EST
Spec: http://mmckinst.nexcess.net/fpdns/fpdns.spec
SRPM: http://mmckinst.nexcess.net/fpdns/fpdns-0.9.3-1.fc14.src.rpm
Scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=2740694
Description: 
fpdns is a program that remotely determines DNS server versions. It does this 
by sending a series of borderline DNS queries which are compared against a 
table of responses and server versions.

$ rpmlint fpdns-0.9.3-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint fpdns-0.9.3-1.fc14.src.rpm 
fpdns.src: W: invalid-url Source0: http://fpdns.googlecode.com/files/Net-DNS-Fingerprint-0.9.3.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
$
Comment 1 Frank Crawford 2011-02-13 04:47:17 EST
A package review.

Legend:
+ - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.

MUST Requirements:

[+] MUST: rpmlint must be run on every package

$ rpmlint *.rpm *.spec
1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Note: rpmlint sometimes reports HTTP Error 404: Not Found, but appears to be an rpmlint issue, not a package issue.

[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name} [...]
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license
          and meet the Licensing Guidelines

License is New BSD (no advertising, 3 clause)

[+] MUST: The License field in the package spec file must match the
          actual license
[+] MUST: If (and only if) the source package includes the text of the 
          license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream 
          source, as provided in the spec URL. Reviewers should use md5sum for 
          this task. If no upstream URL can be specified for this package, 
          please see the Source URL Guidelines for how to deal with this.

$ md5sum SRC/Net-DNS-Fingerprint-0.9.3.tar.gz RPM/Net-DNS-Fingerprint-0.9.3.tar.gz 
16f1fbc9e5c8b935a0a48a509dc58899  SRC/Net-DNS-Fingerprint-0.9.3.tar.gz
16f1fbc9e5c8b935a0a48a509dc58899  RPM/Net-DNS-Fingerprint-0.9.3.tar.gz

[+] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture

http://koji.fedoraproject.org/koji/taskinfo?taskID=2740694
http://koji.fedoraproject.org/koji/taskinfo?taskID=2836720

[=] MUST: If the package does not successfully compile, build or work on 
          an architecture, then those architectures should be listed in the 
          spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
          have a bug filed in bugzilla, describing the reason that the package 
          does not compile/build/work on that architecture. The bug number MUST 
          be placed in a comment, next to the corresponding ExcludeArch line
[+] MUST: All build dependencies must be listed in BuildRequires, except 
          for any that are listed in the exceptions section of the Packaging 
          Guidelines ; inclusion of those as BuildRequires is optional. Apply 
          common sense.
[=] MUST: The spec file MUST handle locales properly. This is done by 
          using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
          forbidden
[=] MUST: Every binary RPM package (or subpackage) which stores shared 
          library files (not just symlinks) in any of the dynamic linker's 
          default paths, must call ldconfig in %post and %postun.
[=] MUST: If the package is designed to be relocatable, the packager must 
          state this fact in the request for review, along with the 
          rationalization for relocation of that specific package. Without 
          this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does 
          not create a directory that it uses, then it should require a package 
          which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files 
          listing.
[+] MUST: Permissions on files must be set properly. Executables should 
          be set with executable permissions, for example. Every %files section 
          must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
          %{buildroot} (or $RPM_BUILD_ROOT).

Not required for F-13 and above, but is contained in spec file.

[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The 
          definition of large is left up to the packager's best judgement, but 
          is not restricted to size. Large can refer to either size or 
          quantity).
[+] MUST: If a package includes something as %doc, it must not affect the 
          runtime of the application. To summarize: If it is in %doc, the 
          program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
          pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. 
          libfoo.so.1.1), then library files that end in .so (without suffix) 
          must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the 
          base package using a fully versioned dependency: Requires: %{name} =
          %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must 
          be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a
          %{name}.desktop file, and that file must be properly installed with 
          desktop-file-install in the %install section. If you feel that your 
          packaged GUI application does not need a .desktop file, you must put 
          a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by 
          other packages. The rule of thumb here is that the first package to 
          be installed should own the files or directories that other packages 
          may rely upon. This means, for example, that no package in Fedora 
          should ever share ownership with any of the files or directories 
          owned by the filesystem or man package. If you feel that you have a 
          good reason to own a file or directory that another package owns, 
          then please present that at package review time.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
          %{buildroot} (or $RPM_BUILD_ROOT).

Only required for EPEL, but is contained in spec file.

[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Requirements:

[=] SHOULD: If the source package does not include license text(s) as a
        separate file from upstream, the packager  query upstream t
        include it.
[+/-] SHOULD: The description and summary sections in the package spec file
        should contain translations for supported Non-English languages, if
        available.

Summary and Description only in English, although no other languages are given upstream.

[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all
         supported architectures.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2836720

[+] SHOULD: The reviewer should test that the package functions as
         described. A package should not segfault instead of running, for
         example.
[=] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
         vague, and left up to the reviewers judgement to determine sanity.
[=] SHOULD: Usually, subpackages other than devel should require the base
         package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their
         usecase, and this is usually for development purposes, so should be
         placed in a -devel pkg. A reasonable exception is that the main pkg
         itself is a devel tool not installed in a user runtime, e.g. gcc or
         gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin,
         /sbin, /usr/bin, or /usr/sbin consider requiring the package which
         provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If
         it doesn't, work with upstream to add them where they make sense.[34]
Comment 2 Fabian Affolter 2011-03-26 11:05:37 EDT
Frank, can you please set the Review flag and assign the review to yourself?
Comment 3 Mark McKinstry 2011-03-27 21:09:37 EDT
New Package SCM Request
=======================
Package Name: fpdns - Fingerprint DNS
Short Description: Fingerprint DNS
Owners: mmckinst
Branches: f13 f14 f15 el4 el5 el6
Comment 4 Mark McKinstry 2011-03-27 21:11:55 EDT
Messed up the name, new SCM request below:

New Package SCM Request
=======================
Package Name: fpdns
Short Description: Fingerprint DNS
Owners: mmckinst
Branches: f13 f14 f15 el4 el5 el6
Comment 5 Jason Tibbitts 2011-03-27 22:58:00 EDT
This review is not assigned to anyone.  It should be assigned to the reviewer.

Please fix and re-raise the fedora-cvs flag.
Comment 6 Jason Tibbitts 2011-04-05 11:21:17 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-04-05 22:11:21 EDT
fpdns-0.9.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fpdns-0.9.3-1.el6
Comment 8 Fedora Update System 2011-04-05 22:11:29 EDT
fpdns-0.9.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fpdns-0.9.3-1.el5
Comment 9 Fedora Update System 2011-04-05 22:11:37 EDT
fpdns-0.9.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fpdns-0.9.3-1.fc13
Comment 10 Fedora Update System 2011-04-05 22:11:45 EDT
fpdns-0.9.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fpdns-0.9.3-1.fc14
Comment 11 Fedora Update System 2011-04-05 22:11:52 EDT
fpdns-0.9.3-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/fpdns-0.9.3-1.el4
Comment 12 Fedora Update System 2011-04-05 22:12:00 EDT
fpdns-0.9.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fpdns-0.9.3-1.fc15
Comment 13 Fedora Update System 2011-04-06 18:29:39 EDT
fpdns-0.9.3-1.fc14 has been pushed to the Fedora 14 testing repository.
Comment 14 Fedora Update System 2011-04-22 13:52:41 EDT
fpdns-0.9.3-1.el4 has been pushed to the Fedora EPEL 4 stable repository.
Comment 15 Fedora Update System 2011-04-22 13:53:20 EDT
fpdns-0.9.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2011-04-22 13:54:10 EDT
fpdns-0.9.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 17 Fedora Update System 2011-04-22 17:19:08 EDT
fpdns-0.9.3-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 18 Fedora Update System 2011-04-22 17:20:05 EDT
fpdns-0.9.3-1.fc13 has been pushed to the Fedora 13 stable repository.
Comment 19 Fedora Update System 2011-04-22 23:58:59 EDT
fpdns-0.9.3-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 20 Mark McKinstry 2014-09-09 21:22:47 EDT
Package Change Request
======================
Package Name: fpdns
New Branches: epel7
Owners: mmckinst
Comment 21 Jon Ciesla 2014-09-10 06:36:42 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.